# -*- coding: utf-8 -*-

from django.utils import timezone
from rest_framework import filters


class SearchFilter(filters.SearchFilter):
    def must_call_distinct(self, queryset, search_fields):
        sfields = []
        for search_field in search_fields:
            if search_field.endswith('^'):
                sfields.append(search_field[:-1])
            else:
                sfields.append(search_field)
        return super().must_call_distinct(queryset, sfields)

    def construct_search(self, field_name):
        if field_name.endswith('^'):
            field_name = field_name[:-1]
            if field_name.startswith('^'):
                return "%s__iunaccent__istartswith" % field_name[1:]
            elif field_name.startswith('='):
                return "%s__iexact" % field_name[1:]
            elif field_name.startswith('@'):
                return "%s__search" % field_name[1:]
            else:
                return "%s__iunaccent__icontains" % field_name
        return super().construct_search(field_name)
