from rest_framework import serializers

PASSWORD_MINIMUM_LENGTH = 8


class AskSerializer(serializers.Serializer):
    last_name = serializers.CharField(max_length=128)
    first_name = serializers.CharField(max_length=128)
    birthdate = serializers.DateField()


class CheckSerializer(serializers.Serializer):
    username = serializers.CharField(max_length=128)
    validation_code = serializers.CharField(max_length=16)


class EditSerializer(CheckSerializer):
    password = serializers.CharField(max_length=128)

    def validate_password(self, value):
        if len(value) < PASSWORD_MINIMUM_LENGTH:
            raise serializers.ValidationError("Password too short.")
        return value
