# -*- coding: utf-8 -*-

from django.core.management.base import BaseCommand
from django.db import connection
from celery.utils.log import get_task_logger


logger = get_task_logger('refresh_views')


class Command(BaseCommand):
    help = "Refresh statistics views"

    def handle(self, *args, **options):
        cursor = connection.cursor()
        for view in ("clariweb_stats_documents_per_month", ):
            logger.info("Refreshing materialized view %s", view)
            cursor.execute("REFRESH MATERIALIZED VIEW %s" % (view,))
