# -*- coding: utf-8 -*-

import time
from django.core.management.base import BaseCommand
from clariweb.clariweb.models import ClarilabPaymentResponse
from clariweb.backend import tasks


class Command(BaseCommand):
    help = "Try to send ClarilabPaymentResponse again"

    def handle(self, *args, **options):
        response_pks = []
        qs = ClarilabPaymentResponse.objects.select_related("response")
        qs = qs.filter(success=False)
        for clabresp in qs:
            response_pks.append(clabresp.response.pk)

        print("Relaunch %d clarilab response ? (Control-C to cancel)" % (
            len(response_pks), ))
        time.sleep(5)

        qs.delete()
        for payment_response_pk in response_pks:
            tasks.clarilab_reglement.delay(payment_response_pk)
