# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import constance


def update_clariweb_document_unpaid_amount(apps, schema_editor):
    if not constance.config.CUSTOM_PAYMENTS_ENABLED:
        Document = apps.get_model('clariweb', 'Document')
        Document.objects.filter(unpaid_amount__gt=0).update(unpaid_amount=0)


class Migration(migrations.Migration):

    dependencies = [
        # Constance
        ('database', '0001_initial'),
        ('clariweb', '0013_clariwebuser_service_clinic'),
    ]

    operations = [
        migrations.RunPython(update_clariweb_document_unpaid_amount),
    ]
