# -*- coding: utf-8 -*-

from __future__ import unicode_literals
from django.db import migrations
from django.contrib.postgres.operations import CreateExtension


class Migration(migrations.Migration):
    dependencies = [
        ('clariweb', '0015_auto_20151229_1437'),
        ('immutable_unaccent', '0001_initial'),
    ]

    operations = [
        CreateExtension("pg_trgm"),
        migrations.RunSQL(
            """
                CREATE INDEX ON clariweb_basicuser USING GIN (
                    upper(i_unaccent(first_name)::text) gin_trgm_ops,
                    upper(i_unaccent(last_name)::text) gin_trgm_ops,
                    upper(i_unaccent(username)::text) gin_trgm_ops
                )
            """
        ),
    ]
