# Generated by Django 2.1.1 on 2018-09-24 16:08

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('clariweb', '0033_datafile_storage_update'),
    ]

    operations = [
        migrations.RunSQL("""
CREATE FUNCTION document_data_updated() RETURNS TRIGGER AS $$
    DECLARE
        _r record;
    BEGIN
        FOR _r IN SELECT id FROM clariweb_document WHERE "id" = NEW.id LOOP
            UPDATE clariweb_documentperuser SET seen_since_modified = false, updated = now() WHERE document_id = _r.id;
        END LOOP;
        RETURN NULL;
    END;
$$ LANGUAGE plpgsql;

CREATE TRIGGER trigger_document_data_modified AFTER UPDATE
    ON clariweb_document FOR EACH ROW
    WHEN (
        OLD.analyses IS DISTINCT FROM NEW.analyses OR
        OLD.structured_results IS DISTINCT FROM NEW.structured_results OR
        OLD.datafile IS DISTINCT FROM NEW.datafile
    )
    EXECUTE PROCEDURE document_data_updated();
""")
    ]
