# -*- coding: utf-8 -*-

from django.core.cache import cache


class SMSCounter(object):
    GLOBAL_SMSCOUNT_KEY = "clariweb.smscount.total"
    SMS_QUOTA_LEFT_KEY = "clariweb.smscount.quotaleft"

    @staticmethod
    def get_quota_left():
        quotaleft = cache.get(SMSCounter.SMS_QUOTA_LEFT_KEY)
        if quotaleft is None:
            return -1
        else:
            return quotaleft

    @staticmethod
    def set_quota_left(smsleft):
        cache.set(SMSCounter.SMS_QUOTA_LEFT_KEY, smsleft, timeout=None)
