import differenceInMonths from 'date-fns/difference_in_months';
import differenceInYears from 'date-fns/difference_in_years';
import parse from 'date-fns/parse';

angular.module('clariweb.filters', [])

.filter(
    'age',
    function() {
        return function(datestring) {
            var date = parse(datestring);
            var now = new Date();
            var years = differenceInYears(now, date);
            var months = differenceInMonths(now, date);
            if (months <= 36) {
                return months + ' mois';
            } else {
                return years + ' ans';
            }
        };
    }
)

.filter(
    'nullzero',
    function() {
        return function(intornull) {
            if (! intornull) {
                return 0;
            } else {
                return intornull;
            }
        };
    }
)

;
